## org.apache.lucene.analysis.ru
Class RussianLetterTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.util.CharTokenizer
                      org.apache.lucene.analysis.ru.RussianLetterTokenizer

All Implemented Interfaces:
  Closeable

Deprecated. (3.1) Use `StandardTokenizer` instead, which has the same functionality. This filter will be removed in Lucene 5.0

    @Deprecated
    public class RussianLetterTokenizer

extends CharTokenizer

A RussianLetterTokenizer is a `Tokenizer` that extends `LetterTokenizer` by also allowing the basic Latin digits 0-9.

You must specify the required `Version` compatibility when creating `RussianLetterTokenizer`:

- As of 3.1, `CharTokenizer` uses an int based API to normalize and detect token characters. See `CharTokenizer.isTokenChar(int)` and `CharTokenizer.normalize(int)` for details.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`RussianLetterTokenizer(Version matchVersion, AttributeSource.AttributeFactory factory, Reader in)` Deprecated. Construct a new RussianLetterTokenizer using a given `AttributeSource.AttributeFactory`.
`RussianLetterTokenizer(Version matchVersion, Reader in)` Deprecated. Construct a new RussianLetterTokenizer.

Method Summary
`protected boolean` `isTokenChar(int c)` Deprecated. Collects only characters which satisfy `Character.isLetter(int)`.

Methods inherited from class org.apache.lucene.analysis.util.CharTokenizer
`end, incrementToken, normalize, reset`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close, correctOffset, setReader`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RussianLetterTokenizer

    public RussianLetterTokenizer(Version matchVersion,
                                  Reader in)

  Deprecated.
  Construct a new RussianLetterTokenizer. * @param matchVersion Lucene version to match See above

  Parameters:
    `in` - the input to split up into tokens

### RussianLetterTokenizer

    public RussianLetterTokenizer(Version matchVersion,
                                  AttributeSource.AttributeFactory factory,
                                  Reader in)

  Deprecated.
  Construct a new RussianLetterTokenizer using a given `AttributeSource.AttributeFactory`. * @param matchVersion Lucene version to match See above

  Parameters:
    `factory` - the attribute factory to use for this `Tokenizer`
    `in` - the input to split up into tokens

Method Detail

### isTokenChar

    protected boolean isTokenChar(int c)

  Deprecated.
  Collects only characters which satisfy `Character.isLetter(int)`.

  Specified by:
    `isTokenChar` in class `CharTokenizer`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.